svn commit: [26155] trunk/uClibc/extra/scripts
vda at uclibc.org
vda at uclibc.org
Sun Apr 19 00:51:04 UTC 2009
Author: vda
Date: 2009-04-19 00:51:04 +0000 (Sun, 19 Apr 2009)
New Revision: 26155
Log:
Reinstate {drm,mtd,rdma,sound,video} directory installtion
pending some explanation from gurus. Expanded comment explaining
_why_ we try to install these exact directories.
Modified:
trunk/uClibc/extra/scripts/install_kernel_headers.sh
Changeset:
Modified: trunk/uClibc/extra/scripts/install_kernel_headers.sh
===================================================================
--- trunk/uClibc/extra/scripts/install_kernel_headers.sh 2009-04-18 23:45:13 UTC (rev 26154)
+++ trunk/uClibc/extra/scripts/install_kernel_headers.sh 2009-04-19 00:51:04 UTC (rev 26155)
@@ -60,17 +60,17 @@
die_if_not_dir "$2/asm-generic"
cp -RHL "$KERNEL_HEADERS/asm-generic"/* "$2/asm-generic" || exit 1
fi
-## vda: looks like I was fooled by two mtd directories existing
-## in include/ and include/linux/. This seems to be not needed.
-## # For paranoid reasons, we use explicit list of directories
-## # which may be here. List last updated for linux-2.6.27:
-## for dir in drm mtd rdma sound video; do
-## if test -d "$KERNEL_HEADERS/$dir"; then
-## mkdir -p "$2/$dir" 2>/dev/null
-## die_if_not_dir "$2/$dir"
-## cp -RHL "$KERNEL_HEADERS/$dir"/* "$2/$dir" || exit 1
-## fi
-## done
+ # For paranoid reasons, we use explicit list of directories
+ # which may be found in kernel's "sanitized headers" directory after
+ # "make defconfig; make headers_install" was run in kernel tree.
+ # List last updated for linux-2.6.27:
+ for dir in drm mtd rdma sound video; do
+ if test -d "$KERNEL_HEADERS/$dir"; then
+ mkdir -p "$2/$dir" 2>/dev/null
+ die_if_not_dir "$2/$dir"
+ cp -RHL "$KERNEL_HEADERS/$dir"/* "$2/$dir" || exit 1
+ fi
+ done
if ! test -f "$2/linux/version.h"; then
echo "Warning: '$KERNEL_HEADERS/linux/version.h' is not found"
echo "in kernel headers directory specified in .config."
More information about the uClibc-cvs
mailing list